Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.charcode
Class GB2312CharacterSet

    java.lang.Object
      net.sf.saxon.charcode.GB2312CharacterSet

All Implemented Interfaces:
  CharacterSet, PluggableCharacterSet

    public class GB2312CharacterSet

extends Object
implements PluggableCharacterSet

Constructor Summary
`GB2312CharacterSet()`

Method Summary
`String` | `getEncodingName()` Determine the name of the Java character set encoding to be used
`static GB2312CharacterSet` | `getInstance()`
`boolean` | `inCharset(int ch)` Determine if a character is present in the character set

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GB2312CharacterSet

    public GB2312CharacterSet()

Method Detail

### getInstance

    public static GB2312CharacterSet getInstance()

### inCharset

    public final boolean inCharset(int ch)

  Description copied from interface: `CharacterSet`
  Determine if a character is present in the character set

  Specified by:
    `inCharset` in interface `CharacterSet`

### getEncodingName

    public final String getEncodingName()

  Description copied from interface: `PluggableCharacterSet`
  Determine the name of the Java character set encoding to be used

  Specified by:
    `getEncodingName` in interface `PluggableCharacterSet`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.